Bug 894980 - network is not available when copying file in windows guest os with rtl8139
network is not available when copying file in windows guest os with rtl8139
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Windows
low Severity low
: rc
: ---
Assigned To: Amos Kong
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 03:19 EST by huiqingding
Modified: 2015-05-24 20:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 23:14:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description huiqingding 2013-01-14 03:19:33 EST
Description of problem:

 rtl8139 is unavailable on windows guest (windows 7 and windows server 2008) when copy files from samba server to guest. 

test matrix: 
                rtl8139       virtio-pci-net       e100
windows guest   unavailabe    available            available

rhel7 guest     available     available            available

Version-Release number of selected component (if applicable):
rpm -qa|grep qemu
qemu-kvm-1.3.0-3.el7.x86_64
uname -r
3.7.0-0.30.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. /usr/libexec/qemu-kvm -M pc-1.3 -cpu SandyBridge -enable-kvm -m 2048 -smp 2,sockets=1,cores=2,threads=1 -name rhel7 -uuid 6afa5f93-2d4f-420f-81c6-e5fdddbd1c83 -drive file=win7-64.qcow2,if=none,media=disk,id=drive-ide1-1-0,format=qcow2,werror=stop,rerror=stop,cache=none -device ide-drive,drive=drive-ide1-1-0,id=ide-disk0 -netdev tap,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=54:52:1a:49:c5:01,bus=pci.0,addr=0x3 -vnc :4 -monitor stdio 

2. On windows guest, access samba server.

3. Copy big files (>10G) to windows guest

  
Actual results:
rtl8139 are unavailable when copying files 2-3 seconds.

Expected results:
The files can be copied sucessfully. rtl8139 should always work well.

Additional info:
rtl8139 is 100M and older. Set this bug to low low.
Comment 2 FuXiangChun 2013-01-14 06:16:44 EST
Test this bug with qemu-kvm-0.12.1.2-2.351.el6.x86_64 and kernel 2.6.32-353.el6.x86_64 on rhel6.4 host.  don't hit this issue.
Comment 3 Amos Kong 2013-08-30 06:25:40 EDT
Hi Huiqing,

Can you help to re-test if this bug still exists in latest qemu-kvm-rhel7?

Thanks, Amos
Comment 4 huiqingding 2013-09-01 23:12:21 EDT
Hi, Amos,
> Can you help to re-test if this bug still exists in latest qemu-kvm-rhel7?

I tested the latest qemu-kvm and not hit this problem.

The qemu-kvm is qemu-kvm-1.5.3-2.el7.x86_64.
The kernel is kernel-3.10.0-15.el7.x86_64.
Comment 5 Amos Kong 2013-09-01 23:14:12 EDT
According to the comment #4, closed.
Comment 6 Amos Kong 2013-09-01 23:21:02 EDT
can still reproduce in old version, update the close status

Note You need to log in before you can comment on or make changes to this bug.